/*
/rakurakucloud/denshihozon/asset/css/page/p-seminar.css
seminarページFV以外用CSS
*/

/* オンデマンドセミナー一覧パネル */
.p-seminar-ondemand-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  @media screen and (max-width: 840px) {
    grid-template-columns: repeat(2, 1fr);
  }
  @media screen and (max-width: 600px) {
    grid-template-columns: 1fr;
  }
}
.p-seminar-ondemand-item {
  @media screen and (max-width: 600px) {
    width: 100%;
    &:not(:first-child) {
      margin: 20px 0 0;
    }
  }
}
.p-seminar-ondemand-item-link {
  color: var(--black);
  background-color: var(--rdenshihozon-bg-sub-03);
  border-top: 3px solid var(--rdenshihozon-primary);
  padding: 15px;
  border-radius: 10px;
  text-decoration: none;
  transition: all ease 0.3s;
  display: block;
  height: 100%;
  @media screen and (max-width: 840px) {
    padding: 20px;
  }
  &:hover {
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.2);
    .p-seminar-ondemand-item-link__cta {
      background-color: var(--white);
      color: var(--rdenshihozon-cta);
      &::before {
        border-top: 2px solid var(--rdenshihozon-cta);
        border-right: 2px solid var(--rdenshihozon-cta);
      }
      .p-seminar-ondemand-item-link__free {
        background-color: var(--rdenshihozon-cta);
        color: var(--white);
      }
    }
  }
}
.p-seminar-ondemand-item-link__content {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.p-seminar-ondemand-item-link__image-wrap {
  width: 100%;
  height: auto;
}
.p-seminar-ondemand-item-link-title {
  color: var(--black);
  font-weight: bold;
  font-size: 16px;
  margin: 10px 0 0;
}
.p-seminar-ondemand-item-link__bottom {
  margin: 20px 0 0;
}
.p-seminar-ondemand-item-link__time {
  color: var(--black);
  font-weight: bold;
  font-size: 14px;
  display: flex;
  justify-content: center;
}
.p-seminar-ondemand-item-link__time-title {
  position: relative;
  &::after {
    position: absolute;
    top: 0;
    right: -10px;
    content: "";
    background-color: var(--gray-08);
    width: 2px;
    height: 20px;
  }
}
.p-seminar-ondemand-item-link__time-text {
  color: var(--rdenshihozon-primary);
  margin: 0 0 0 20px;
}

/* cta */
.p-seminar-ondemand-item-link__cta {
  position: relative;
  color: var(--white);
  background-color: var(--rdenshihozon-cta);
  border-radius: 50px;
  padding: 10px 30px 10px 10px;
  text-align: center;
  font-size: 14px;
  font-weight: bold;
  margin: 10px auto 0;
  max-width: 300px;
  border: 2px solid var(--rdenshihozon-cta);
  transition: all ease 0.3s;
  @media screen and (max-width: 1024px) {
    font-size: 12px;
  }
  @media screen and (max-width: 840px) {
    padding: 10px 25px 8px 10px;
    margin: 20px auto 0;
  }
  @media screen and (max-width: 600px) {
    max-width: 300px;
  }
  &::before {
    position: absolute;
    z-index: 10;
    display: block;
    content: "";
    width: 8px;
    height: 8px;
    top: calc(50% - 4px);
    right: 20px;
    transform: rotate(45deg);
    transition: all ease 0.3s;
    border-top: 2px solid var(--white);
    border-right: 2px solid var(--white);
    @media screen and (max-width: 840px) {
      right: 15px;
    }
  }
}
.p-seminar-ondemand-item-link__free {
  background-color: var(--white);
  color: var(--rdenshihozon-cta);
  font-size: 12px;
  border-radius: 50px;
  padding: 2px 10px 0;
  margin: 0 5px 0 0;
  @media screen and (max-width: 840px) {
    padding: 2px 5px 0;
    margin: 0 5px 0 0;
  }
}
